Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 362189

Summary: [QA] x11-libs/qt-declarative install some libs into /usr/imports
Product: Gentoo Linux Reporter: Alexey Shvetsov <alexxy>
Component: New packagesAssignee: Qt Bug Alias <qt>
Status: RESOLVED FIXED    
Severity: major CC: xangel1
Priority: Highest    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 363315    

Description Alexey Shvetsov archtester gentoo-dev 2011-04-05 17:28:12 UTC
x11-libs/qt-declarative installs some libs into /usr/imports

fermi src # qlist qt-declarative | grep impor
/usr/imports/Qt/labs/particles/libqmlparticlesplugin.so
/usr/imports/Qt/labs/particles/qmldir
/usr/imports/Qt/labs/folderlistmodel/libqmlfolderlistmodelplugin.so
/usr/imports/Qt/labs/folderlistmodel/qmldir
/usr/imports/Qt/labs/gestures/libqmlgesturesplugin.so
/usr/imports/Qt/labs/gestures/qmldir


fermi src # emerge --info 
Portage 2.2.0_alpha29 (default/linux/amd64/10.0/desktop/kde, gcc-4.6.0, glibc-2.13-r2, 2.6.38-git18 x86_64)
=================================================================
System uname: Linux-2.6.38-git18-x86_64-Intel-R-_Core-TM-_i5_CPU_750_@_2.67GHz-with-gentoo-2.0.2
Timestamp of tree: Tue, 05 Apr 2011 12:30:01 +0000
app-shells/bash:     4.2_p8
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.7.1-r1, 3.1.3-r1
dev-util/cmake:      2.8.4
sys-apps/baselayout: 2.0.2
sys-apps/openrc:     0.8.0
sys-apps/sandbox:    2.5
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.6.0
sys-devel/gcc-config: 1.5-r1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
virtual/os-headers:  2.6.38 (sys-kernel/linux-headers)
Repositories: gentoo science alexxy kde sunrise x11 aidecoe gamerlay-stable bicatali
Installed sets: 
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -mtune=native -mfpmath=sse -msse4 -floop-interchange -floop-strip-mine -floop-block -floop-parallelize-all"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/spool/torque"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native -mtune=native -mfpmath=sse -msse4 -floop-interchange -floop-strip-mine -floop-block -floop-parallelize-all"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages metadata-transfer news parallel-fetch preserve-libs protect-owned sandbox sfperms sign strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe -march=native -mtune=native -mfpmath=sse -msse4 -floop-interchange -floop-strip-mine -floop-block -floop-parallelize-all"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="ru_RU.UTF-8"
LDFLAGS="-Wl,-O1,--hash-style=gnu,--sort-common,--as-needed"
LINGUAS="ru en"
MAKEOPTS="--jobs --load-average=8"
PKGDIR="/usr/portage/packages"
PORTAGE_COMPRESS="xz"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/science /var/lib/layman/alexxy /var/lib/layman/kde /var/lib/layman/sunrise /var/lib/layman/x11 /var/lib/layman/aidecoe /var/lib/layman/gamerlay /var/lib/layman/bicatali"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="64bit X a52 aac acl acpi alsa amd64 apbs bash-completion bazaar berkdb blas branding btrfs bzip2 cairo caps cdr cli cmkopt compat consolekit context cracklib crypt cscope cups cvs cxx cyrillic dbus declarative desktopglobe detex disk-partition dri dts dvd dvdr emboss encode exif expat extensions extra extraengine extras fam fbcondecor fbsplash fftw firefox flac fontconfig fortran gdbm gdu gensplash gif git glitz gmp gnutls gpm graphics graphite gstreamer gtk humanities iconv idn ipv6 jadetex java jingle jpeg kde kpathsea lapack latex lcms ldap logrotate lvm lzma mad mercurial mikmod mmx mng modules mp3 mp4 mpeg mpi-threads mplayer mudflap multilib multimedia music mysql ncurses netlink nls nptl nptlonly nsplugin ods ogg omega opencl opengl openmp pam pango pcre pdf perl phonon plotutils plugins png policykit ppds pppd prolog ps pstricks publishers pulseaudio python python3 qemu qt3support qt4 qwt readline rss samba science sdl semantic-desktop session shaders smp spell sse sse2 ssl startup-notification subversion svg symlink sysfs tachyon tcpd tex4ht theora thin-splines threads thumbnail thumbnails tiff tk truetype udev unicode usb uswsusp v4l v4l2 vde vim vim-pager vim-syntax vorbis webkit x264 xcb xcomposite xen xetex xinerama xls xml xmlpatterns xorg xscreensaver xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias proxy" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog apache bind cpu cpufreq disk entropy hddtemp iptables logfile mysql netlink network ntpd protocols sensors tail unixsock" DRACUT_MODULES="btrfs crypt gensplash lvm syslog plymouth" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru en" PHP_TARGETS="php5-3" QEMU_SOFTMMU_TARGETS="arm i386 mips64 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


Reproducible: Always
Comment 1 Alexey Shvetsov archtester gentoo-dev 2011-09-09 14:12:26 UTC
Any news or fixes for this bug?
Comment 2 Maciej Mrozowski gentoo-dev 2011-11-03 20:07:00 UTC
-importdir <dir> ..... Imports for QML will be installed to <dir> (default PREFIX/imports)

I'd prefer ${QTLIBDIR}/imports over PREFIX/imports
Comment 3 Davide Pesavento gentoo-dev 2011-11-10 23:24:52 UTC
We could change the imports dir starting from qt-4.8
Comment 4 Jonathan Callen (RETIRED) gentoo-dev 2011-12-16 20:05:09 UTC
This has been fixed for all versions of Qt4 in qt4-build.eclass.